pydo.databases.get()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.databases.get(
database_cluster_uuid="9cc10173-e9ea-4176-9dbc-a4cee4c4ff30",
database_name="alpha",
)Description
To show information about an existing database cluster, send a GET request to
/v2/databases/{database_cluster_uuid}/dbs/{database_name}.
Note: Database management is not supported for Caching or Valkey clusters.
The response will be a JSON object with a db key. This will be set to an object
containing the standard database attributes.
Parameters
database_cluster_uuidstring requiredA unique identifier for a database cluster.
database_namestring requiredThe name of the database.
Request Sample
Response Example
More Information
See /v2/databases/{database_cluster_uuid}/dbs/{database_name} in the API reference for additional detail on responses, headers, parameters, and more.